APIs
Log In
APIs

addPolyline

Add a new polyline to a mapdata

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The "verticesAsJsonString" parameter must be a stringified JsonArray object containing the polyline vertices.
These vertices must be JsonArray objects too, and must contain the latitude first and the longitude second in the WGS84 projection.
Therefore, the latitude value must be between -85 and +85 and the longitude one must be between -180 and +180.
You need at least 2 vertices to make a polyline.

You can see an example of a valid "verticesAsJsonString" parameter for a polyline in the above parameters description.

Date Type Attribute if add a geometry with a date type attribute. Date value format : dd-MM-yyyy (example 12-02-2016)

If successful, this method adds a polyline to the mapdata defined by the "mapdataName" parameter and returns a 200 HTTP response containing the newly added polyline key.

Body Params
string
required

The mapdataName of the mapdata to add the polyline to

string
required

The polyline vertices in the WGS84 projection. For example : "[[43.55,4.88],[43.52,4.84],[43.23,4.82],[43.15,4.78],[43.21,4.75],[43.04,4.72]]". Please see below for more information.

string

A stringified JsonObject containing the polyline attributes names and values. For example : "{Name:Laure Boulleau,Phone:0033123456789,Age:23}"

string
required

Your Technical Account ID. For more information : JavaScript Library Prerequisites

string
required

Your signature. For more information : Security Overview

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json